package com.teamdev.xpcom.mozilla.demo.components;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.ImageObserver;

import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JFrame;

public class QuikShootDialog extends JDialog {

    private final Image img;

    public QuikShootDialog(JFrame owner, Image img)
    {
        super(owner, "Show Page Image");
//        setTitle("Show Page Image");
//        setIconImage(owner.getIconImage());
        this.img = img;
        add(new ImagePane());
        pack();
        setDefaultCloseOperation(DISPOSE_ON_CLOSE);
        setVisible(true);
    }

    private class ImagePane extends JComponent
    {

        final ImageObserver obs = new ImageObserver() {
            public boolean imageUpdate(Image img, int infoflags, int x, int y, int width, int height)
            {
                return true;
            }
        };

        @Override
        public void paint(Graphics g)
        {
            setPreferredSize(new Dimension(img.getHeight(obs), img.getWidth(obs)));
            g.drawImage(img, 0, 0, null);
        }

    }

}
